//
// LottoControl.m
//
// Changes Dec 2002: Added -windowDidDeminiaturize: notification.

#import "LottoControl.h"
#import "LottoData.h"
#import "LottoView.h"

@implementation LottoControl

- (void)awakeFromNib
{    
    // use simple convenience class method that returns an autoreleased object
    LottoData *data = [LottoData lottoData];

     // turn the data over to the view class which will retain it
    [lottoView setData:data];

    // set button to send action message continuously while down
    // default delay 0.4, and interval 0.075 seconds
    [lottoButton setContinuous:YES];

    // scramble initial set
    [[lottoView data] randomize];
}

- (IBAction)play:(id)sender
{
    [[lottoView data] randomize];
    [lottoView setNeedsDisplay:YES];
}

// LottoControl as its windows delegate will receive this when the window maximizes from the Dock
- (void)windowDidDeminiaturize:(NSNotification *)notification
{
    // view needs updating as the zooming procedure introduces unwanted artifacts
    [lottoView setNeedsDisplay:YES];
}

// Not really needed
- (void)dealloc
{
    NSLog(@"Destroying Control %@", self);
    [super dealloc];
}

@end
